Bug 428008 - RFE: Show the certification plan to people on the CC list
RFE: Show the certification plan to people on the CC list
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: XINSUN
Yu Shao
:
Depends On:
Blocks: 457596
  Show dependency treegraph
 
Reported: 2008-01-08 12:15 EST by David Aquilina
Modified: 2014-06-23 20:14 EDT (History)
10 users (show)

See Also:
Fixed In Version: 3.2rh-20080801.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-04 13:56:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch Fix: (1.49 KB, patch)
2008-07-14 04:39 EDT, XINSUN
no flags Details | Diff
Patch Improve: (2.93 KB, patch)
2008-07-22 13:56 EDT, XINSUN
no flags Details | Diff
Patch Improve: (2.98 KB, patch)
2008-07-22 15:36 EDT, XINSUN
no flags Details | Diff

  None (edit)
Description David Aquilina 2008-01-08 12:15:34 EST
Currently the hardware certification website only shows the certification plan
to the submitter and the reviewers. Other interested parties at the partner are
not able to see the certification plan. 

We should give people on the CC list of a certification bug the same view as the
submitter.
Comment 1 XINSUN 2008-07-14 04:39:39 EDT
Created attachment 311685 [details]
Patch Fix:

1.Use "bug.cc.size > 0 && lsearch(bug.cc,user.login) != -1" as the judge
condition for people in the "CC" list.
2.In the @@ -93,6 +93,10 @@ of the edit.html.tmpl: show the testplan to the
people who is in the "CC" list while not in the "canedit" role.
(canedit role includes:
     the reporter,
     assigned_to,
     qa_contact,
     useringroup('hwcert_edit') 
)

So if one person who isn't in the "canedit" role but in the "CC" list, afer
deploying this patch, he/she can see the below cert's info:
     summary,
     testplan,
     comments,
     external_bugzilla_link,
     [clone] (IF user also canclone)


Rob, 
   please have a look @ this patch & review.
   Thank you very much.
    
Best Regards!
Nicho
Comment 2 XINSUN 2008-07-14 04:45:43 EDT
Ps: 
    Those people who are in the "CC" list can see the testplan view but can not
do any changes against testplan after above patch's deploying.


Nicho 
Comment 8 XINSUN 2008-07-22 15:36:29 EDT
Created attachment 312390 [details]
Patch Improve:

Use below code:
  [% oncc = 0 %]
  [% FOREACH cc = bug.cc %]
    [% IF user.login == cc %]
      [% oncc = 1 %]
    [% END %]
  [% END %]

instead of
[% oncc = (bug.cc.size > 0 && lsearch(bug.cc,user.login) != -1) ? 1 : 0 %]
Comment 9 Rob Landry 2008-07-22 17:47:11 EDT
Does this last patch disable the cc users from setting the dropdown from patch
in 191704?
Comment 10 XINSUN 2008-08-01 11:46:30 EDT
test passed on hwcert-web2

Note You need to log in before you can comment on or make changes to this bug.